Support install.js style XPI installation.

RESOLVED INVALID

Status

()

Toolkit
Add-ons Manager
RESOLVED INVALID
5 years ago
5 years ago

People

(Reporter: Yhn, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

5 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:18.0) Gecko/20100101 SeaMonkey/2.15.1
Build ID: 20130118191213

Steps to reproduce:

Tried to install a XPI.


Actual results:

SeaMonkey said it was broken.


Expected results:

It's not broken and should be correctly installed.
Install.js - style installation has been intentionally removed in Mozilla 1.9 (SeaMonkey 2.0, Firefox 3.0) and it is not going to be reintroduced => INVALID

See the warning box at the top of https://developer.mozilla.org/en/docs/Install.js
Status: UNCONFIRMED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INVALID
Component: General → Add-ons Manager
OS: Windows 7 → All
Product: SeaMonkey → Toolkit
Hardware: x86 → All
Version: SeaMonkey 2.15 Branch → unspecified
(Reporter)

Comment 2

5 years ago
(In reply to Tony Mechelynck [:tonymec] from comment #1)
> Install.js - style installation has been intentionally removed in Mozilla
> 1.9 (SeaMonkey 2.0, Firefox 3.0) and it is not going to be reintroduced =>
> INVALID
> 
> See the warning box at the top of
> https://developer.mozilla.org/en/docs/Install.js

Are there any program that can convert an install.js into an install manifest?
You need to log in before you can comment on or make changes to this bug.